package jmx.service.jndi;

import javax.naming.NamingException;

/**
 * Abstract MBean interface to add an object in the JNDI namespace.
 * Used as a super-interface for more specific MBean.
 */
public interface JNDIMBean
{
    public String  getJndiName ();
    public void    setJndiName (String jndiName) throws NamingException;
    public boolean getIsSerializable ();
    public void    setIsSerializable (boolean serializable);

    public void start () throws Exception;
    public void stop ();

    public Object createObject () throws Exception;
}
