package jmx.service.wsmq;

import jmx.service.jms.JMSMBean;

/**
 * MBean interface to add a WebSphere MQ destination in the JNDI namespace.
 */
public interface WSMQDestinationMBean extends JMSMBean
{
    public String  getQueueManagerName ();
    public void    setQueueManagerName(String queueManagerName);
    public String  getDestinationName ();
    public void    setDestinationName(String destinationName);
    public int     getCCSID ();
    public void    setCCSID (int ccsid);
    public String  getDescription ();
    public void    setDescription (String description);
    public String  getEncoding ();
    public void    setEncoding (String encoding);
    public int     getExpiry ();
    public void    setExpiry (int expiry);
    public boolean getFailIfQuiesce ();
    public void    setFailIfQuiesce (boolean fiqValue);
    public String  getPersistence ();
    public void    setPersistence (String persistence);
    public int     getPriority ();
    public void    setPriority (int priority);
    public String  getTargetClient ();
    public void    setTargetClient (String targetClient);
}
