package jmx.service.wsmq;

import jmx.service.jms.JMSMBean;

/**
 * MBean interface to add a WebSphere MQ connection factory in the JNDI namespace.
 */
public interface WSMQConnectionFactoryMBean extends JMSMBean
{
    public int     getCCSID ();
    public void    setCCSID (int ccsid);
    public String  getChannel ();
    public void    setChannel (String channel);
    public boolean getFailIfQuiesce ();
    public void    setFailIfQuiesce (boolean fiqValue);
    public String  getHostName ();
    public void    setHostName (String hostName);
    public int     getPort ();
    public void    setPort (int port);
    public String  getQueueManagerName ();
    public void    setQueueManagerName (String queueManagerName);
    public String  getTransportType ();
    public void    setTransportType (String transportType);
}
